Subject: Re: Topology

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 25 Aug 1999 09:56:19 -0500

This is the sparse matrix representation I was talking about in my earlier
note.  You can drop the keyword "oneway" by assuming that if you specify a
pair, it supports only one-way traffic from the first to the second
termination.  The defaulkt assumption is full duplex connectivity between
each pair.

> -----Original Message-----
> From: Ajay Sharma [SMTP:[email-masked]]
> Sent: Tuesday, August 24, 1999 6:26 PM
> To:   [email-masked]
> Subject:      Re: Topology
>
> Brian:
>
> Brian Rosen wrote:
> >
> > In the Berlin draft, a concept called "topology" was introduced.
> > This provides a pairwise control of flow (isolate, one way, both way) to
> the
> > terminations in a conference.  This item has not received any discussion
> on
> > the list.
> >
> > Assuming it is acceptable, I have an issue with syntax.  As defined,
>
> Why dont we call it "Flow" instead, if thats what it conveys ?
>
> > it is a "parameter" to an action.  Right now, the only parameters to an
> > action are commands.  We can make it a command, although it requires a
> > pair of terminationIDs, which makes it weird.
> >
> > I'm soliciting ideas of how to do this.  Here are some thoughts:
> > ;command, with termid, extra termid as a parameter
> > Context=123 {Add=termA{...},Topology=termA{termB,oneway}}
> > ;command, but no=termid
> > Context=123 {Add=termA{...},Topology{termA,termB,oneway}}
>
> I prefer this.
>
> > ;separate syntatic thingy
> > Context=123 {Add=termA{...}},{Topology=termA,termB, oneway}
> > ;or
> > Context=123 {Add=termA{...}},{Topology(termA,termB, oneway}}
> > ;or
> > Context=123 {Add=termA{...}}{Topology=termA,termB, oneway}
> >
> > Brian
>
> --
> _____________________________________________________________________
> Ajay Sharma
> Ficon Technology, Inc.
> Tel: 972.671.7701 x101
> Fax: 972.671.7099
> mailto:[email-masked]
> http://www.ficon-tech.com